EPOLL_CREATE(2)

NAME
epoll_create - open an epoll file descriptor

SYNOPSIS
#include <sys/epoll.h>

int epoll_create(int size)

DESCRIPTION
Open an epoll file descriptor by requesting the kernel allocate an event backing store dimensioned for size descriptors. The size is not the maximum size of the backing store but just a hint to the kernel about how to dimension internal structures. The returned file descriptor will be used for all the subsequent calls to the epoll interface. The file descriptor returned by epoll_create(2) must be closed by using close(2).

RETURN VALUE
When successful, epoll_create(2) returns a non-negative integer identifying the descriptor. When an error occurs, epoll_create(2) returns -1 and errno is set appropriately.

ERRORS

EINVAL
    size is not positive.

ENFILE
    The system limit on the total number of open files has been reached.

ENOMEM
    There was insufficient memory to create the kernel object.

CONFORMING TO
epoll_create(2) is a new API introduced in Linux kernel 2.5.44. The interface should be finalized by Linux kernel 2.5.66.

SEE ALSO
close(2), epoll_ctl(2), epoll_wait(2), epoll(4)